import termios, fcntl, sys, os, math

def keyboard(x):
	fd = sys.stdin.fileno()

	oldterm = termios.tcgetattr(fd)
	newattr = termios.tcgetattr(fd)
	newattr[3] = newattr[3] & ~termios.ICANON & ~termios.ECHO
	termios.tcsetattr(fd, termios.TCSANOW, newattr)

	oldflags = fcntl.fcntl(fd, fcntl.F_GETFL)
	fcntl.fcntl(fd, fcntl.F_SETFL, oldflags | os.O_NONBLOCK)
	li = ""
	try:
		count = 0
		while 1:
			try:
				if count==(x):
					break
				else:				
					c = sys.stdin.read(1)
					#print "Got character", `c`
					li+=c
					count += 1
			except IOError: pass
		return li
	finally:
		termios.tcsetattr(fd, termios.TCSAFLUSH, oldterm)
		fcntl.fcntl(fd, fcntl.F_SETFL, oldflags)

